> ## Documentation Index
> Fetch the complete documentation index at: https://eigendb.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve embeddings

> Retrieve a set of embeddings using IDs.



## OpenAPI

````yaml /api-reference/specs/embeddings.yaml post /api/v1/embeddings/{indexName}/retrieve
openapi: 3.0.3
info:
  title: EigenDB REST API
  description: REST API for EigenDB.
  version: 1.0.0
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/v1/embeddings/{indexName}/retrieve:
    post:
      summary: Retrieve embeddings
      description: Retrieve a set of embeddings using IDs.
      operationId: retrieveEmbeddings
      parameters:
        - name: indexName
          in: path
          description: Name of the index
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ids
              properties:
                ids:
                  type: array
                  items:
                    type: number
                    format: integer
                  description: IDs of embedding to retrieve
      responses:
        '200':
          description: Embeddings successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 200
                message: 2/2 embeddings successfully retrieved.
                data:
                  embeddings:
                    - data:
                        - 0.1
                        - -0.2
                        - 0.45
                      id: 23
                      metadata:
                        foo: bar
                    - data:
                        - 0.2
                        - -0.7
                        - 0.32
                      id: 67
                      metadata: {}
        '500':
          description: An internal server error occured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseSchema'
              example:
                status: 500
                message: 1/2 embeddings successfully retrieved.
                data:
                  embeddings:
                    - data:
                        - 0.1
                        - -0.2
                        - 0.45
                      id: 23
                      metadata:
                        foo: bar
                error:
                  code: EMBEDDINGS_SKIPPED
                  description:
                    - >-
                      embedding with ID 87 was not retrieved - embedding with ID
                      87 does not exist
components:
  schemas:
    responseSchema:
      type: object
      properties:
        status:
          type: integer
          description: Status code of the response
        message:
          type: string
          description: Message giving basic information on the response
        data:
          type: object
          description: Important data to be given to the caller
        error:
          type: object
          description: An error that has occured
          properties:
            code:
              type: string
              description: An error code unique to this type of error
            description:
              type: string
              description: A detailed description of the error
      required:
        - status
        - message
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Eigen-API-Key

````